// 004 u_c_visual_component_kinds_9
// 17 oct 2004

// -- Delphi implementation from the book:
// --   Design Patterns Elements of Reusable Object-Oriented Software
// --   Addison Wesley - 1994 - ISBN 0-201-63361-2
// -- (C) Erich GAMMA, Richard HELM, Ralph JOHNSON, John VLISSIDES 1994

// -- translation from C to Delphi performed by
// --   John COLIBRI  http://www.jcolibri.com

(*$r+*)

unit u_c_visual_component_kinds_9;
  interface
    uses u_c_visual_component_9;

    type c_text_view= class(c_visual_component)
                        Constructor create_text_view;
                        procedure draw; Override;
                        procedure resize; Override;
                        Destructor Destroy; Override;
                      end; // c_text_view

  implementation

    // -- c_text_view

    Constructor c_text_view.create_text_view;
      begin
        Inherited Create;
      end; // create_text_view

    procedure c_text_view.draw;
      begin
      end; // draw

    procedure c_text_view.resize;
      begin
      end; // resize
      
    Destructor c_text_view.Destroy;
      begin
        Inherited;
      end; // Destroy

    begin // u_c_text_view
    end. // u_c_text_view
